Should i jb to 1.1.3 or stay 1.1.2?

Discussion in 'iPod touch 1.1.x Jailbreak' started by crazlunatic, Feb 23, 2008.

  1. crazlunatic

    crazlunatic New Member

    Joined:
    Nov 19, 2007
    Messages:
    120
    Likes Received:
    0
    Hi. Left my iPod touch unused and now that the new apps are showing up I want to use it again. Should I upgrade or stay due to incompatibility issues? Thanks.
  2. drakness

    drakness New Member

    Joined:
    Dec 30, 2007
    Messages:
    355
    Likes Received:
    1
    Device:
    iPhone 4S (White)
    if you have an 8gb touch then upgrading using the ziphone method would be ok. most apps work now, and those that don't have simple fixes for the most part.

    but if you have a 16gb or 32gb touch... then i'd just wait. ziphone isn't compatible with those capacities for some reason, and the soft upgrade isn't really worth it.

    i was on 1.1.3, liked it, but just downgraded back to 1.1.1 again just because i like being able to skin the keyboard and stuff. =P
  3. PanicZone

    PanicZone New Member

    Joined:
    Jan 13, 2008
    Messages:
    109
    Likes Received:
    0
    Personally I dont care which version I am on atm. All 1.1.1, 2 and 3 are like the same.
  4. smokah702

    smokah702 New Member

    Joined:
    Jan 2, 2008
    Messages:
    93
    Likes Received:
    0
    Device:
    iPod touch
    Stay at .2 because .3 is way to glitchy
  5. lazyasada

    lazyasada Banned

    Joined:
    Jan 13, 2008
    Messages:
    2,000
    Likes Received:
    52
    you should just stay with 1.1.2 cuz 1.1.3 still has a lot of bugs
  6. chort27

    chort27 Member

    Joined:
    Feb 5, 2008
    Messages:
    758
    Likes Received:
    24
    Device:
    iPhone 4 (Black)
    Depends what you want
    if you want the wiggle feature more than you care about bugs and glitches... then upgade,
    but if you want to be safe... stay at 1.1.2
  7. Redshift

    Redshift New Member

    Joined:
    Dec 21, 2007
    Messages:
    770
    Likes Received:
    28
    I downgraded from 1.1.3 twice in a row because it gave me so many problems, but the third time around I really stuck my foot in 1.1.3 and it seemed to just... work. I've now been at 1.1.3 for about 3 weeks, and it hasn't given me much trouble at all.
  8. Wicked One 612

    Wicked One 612 New Member

    Joined:
    Jan 24, 2008
    Messages:
    555
    Likes Received:
    11
    Device:
    iPod touch
    I would say upgrade to 1.1.3. Using Skylar's 1.1.3 Official Upgrader with GUI is incredibly easy. Plus you get all the cool features, such as moving icons around. From my experience, every application I wanted to download has been compatible. I've never experienced any bugs or glitches (aside from getting around the root>mobile, which is pretty easy)..

Share This Page